### Method

# Gimp Palette set_entry_color

since: 2.2

#### Declaration [src]

    gboolean
    gimp_palette_set_entry_color (
      GimpPalette* palette,
      gint entry_num,
      GeglColor* color
    )

#### Description [src]

Sets the color of an entry in the palette.

Sets the color of the entry at the zero-based index into the palette. Returns an error when the index is out of range. Returns an error when the palette is not editable.

Available since: 2.2

#### Parameters

`entry_num`

  Type: `gint`

  The entry to get.

`color`

  Type: `GeglColor`

  The new color.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.